PrivateUsersAPI

class minim.api.tidal.PrivateUsersAPI(client: APIClient, /)[source]

Bases: PrivateTIDALResourceAPI

User Collections and Users API endpoints for the private TIDAL API.

Important

This class is managed by PrivateTIDALAPIClient and should not be instantiated directly.

Parameters:
clientminim.api._shared.APIClient

API client instance used to make HTTP requests.

Methods

block_artist

Block an artist for a user.

block_track

Block a track for a user.

block_user

Block a TIDAL user.

block_video

Block a video for a user.

follow_artists

Add artists to a user's collection.

follow_mixes

Add mixes to the current user's collection.

follow_playlists

Add playlists to a user's collection.

follow_user

Follow a TIDAL user.

get_followed_playlists

Get TIDAL catalog information for editorial playlists in a user's collection.

get_me

Get TIDAL profile information for the current user.

get_my_blocked_users

Get TIDAL profile information for the users blocked by the current user.

get_my_folder

Get TIDAL catalog information for playlists in a playlist folder in the current user's collection.

get_my_folders_and_playlists

Get TIDAL catalog information for all playlist folders and playlists in the current user's collection.

get_my_followed_mix_ids

Get TIDAL IDs of the mixes in the current user's collection.

get_my_followed_mixes

Get TIDAL catalog information for mixes in the current user's collection.

get_my_playlists

Get TIDAL catalog information for playlists in the current user's collection.

get_session

Get information about the current private TIDAL API session.

get_user_blocked_artists

Get TIDAL catalog information for artists blocked by a user.

get_user_blocked_tracks

Get TIDAL catalog information for tracks blocked by a user.

get_user_blocked_videos

Get TIDAL catalog information for videos blocked by a user.

get_user_clients

Get information about a user's TIDAL clients.

get_user_created_playlists

Get TIDAL catalog information for user-created playlists in a user's collection.

get_user_followed_artists

Get TIDAL catalog information for artists in a user's collection.

get_user_followers

Get TIDAL profile information for users following the specified user.

get_user_followings

Get TIDAL catalog information for the users followed by a specified user.

get_user_playlists

Get TIDAL catalog information for editorial and user-created playlists in a user's collection.

get_user_public_playlists

Get TIDAL catalog information for public playlists in a user's collection.

get_user_saved_albums

Get TIDAL catalog information for albums in a user's collection.

get_user_saved_item_ids

Get TIDAL IDs or UUIDs of the albums, artists, playlists, tracks, and videos in a user's collection.

get_user_saved_tracks

Get TIDAL catalog information for tracks in a user's collection.

get_user_saved_videos

Get TIDAL catalog information for videos in a user's collection.

get_user_subscription

Get information about a user's TIDAL subscription status.

remove_saved_albums

Remove albums from a user's collection.

remove_saved_tracks

Remove tracks from a user's collection.

remove_saved_videos

Remove videos from a user's collection.

save_albums

Add albums to a user's collection.

save_tracks

Add tracks to a user's collection.

save_videos

Add videos to a user's collection.

unblock_artist

Unblock an artist for a user.

unblock_track

Unblock a track for a user.

unblock_user

Unblock a TIDAL user.

unblock_video

Unblock a video for a user.

unfollow_artists

Remove artists from a user's collection.

unfollow_mixes

Remove mixes from the current user's collection.

unfollow_playlists

Remove playlists from a user's collection.

unfollow_user

Unfollow a TIDAL user.

block_artist(artist_id: int | str, /, user_id: int | str | None = None) None[source]

Block an artist for a user.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
artist_idint or str; positional-only

TIDAL ID of the artist.

Examples: 1566, "4676988".

user_idint or str; optional

TIDAL ID of the user. If not specified, the current user’s TIDAL ID is used.

block_track(track_id: int | str, /, user_id: int | str | None = None) None[source]

Block a track for a user.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
track_idint or str; positional-only

TIDAL ID of the track.

Examples: 46369325, "251380837".

user_idint or str; optional

TIDAL ID of the user. If not specified, the current user’s TIDAL ID is used.

block_user(user_id: int | str, /) None[source]

Block a TIDAL user.

Caution

This endpoint appears to have been deprecated by TIDAL.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
user_idint or str; positional-only

TIDAL ID of the user.

block_video(video_id: int | str, /, user_id: int | str | None = None) None[source]

Block a video for a user.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
video_idint or str; positional-only

TIDAL ID of the video.

Examples: 29597422, "59727844".

user_idint or str; optional

TIDAL ID of the user. If not specified, the current user’s TIDAL ID is used.

follow_artists(artist_ids: int | str | Collection[int | str], /, user_id: int | str | None = None, country_code: str | None = None, *, on_missing: str | None = None) None[source]

Add artists to a user’s collection.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
artist_idsint, str, or Collection[int | str]; positional-only

TIDAL IDs of the artists.

Examples: 1566, "4676988", "1566,4676988", [1566, "4676988"].

user_idint or str; optional

TIDAL ID of the user. If not specified, the current user’s TIDAL ID is used.

country_codestr; optional

ISO 3166-1 alpha-2 country code. If not provided, the country associated with the current user account or IP address is used.

Example: "US".

on_missingstr; keyword-only; optional

Behavior when the artists to be favorited cannot be found in the TIDAL catalog.

API default: "FAIL".

follow_mixes(mix_ids: str | Collection[str], /, *, on_missing: str | None = None) None[source]

Add mixes to the current user’s collection.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
mix_idsstr or Collection[str]; positional-only

TIDAL IDs of the mixes.

Examples:

  • "000ec0b01da1ddd752ec5dee553d48"

  • "000ec0b01da1ddd752ec5dee553d48,000dd748ceabd5508947c6a5d3880a"

  • ["000ec0b01da1ddd752ec5dee553d48", "000dd748ceabd5508947c6a5d3880a"]

on_missingstr; keyword-only; optional

Behavior when the mixes to be favorited cannot be found in the TIDAL catalog.

API default: "FAIL".

follow_playlists(playlist_uuids: str | Collection[str], /, *, user_id: int | str | None = None, country_code: str | None = None, folder_uuid: str | None = None, api_version: int = 2) None[source]

Add playlists to a user’s collection.

User authentication

User authentication

Access user recommendations, and view and modify user’s collection.

Parameters:
playlist_uuidsstr or Collection[str]; positional-only; optional

Playlist UUIDs.

Examples:

  • "0ae80812-f8d6-4fc4-90ea-b2df4ecc3861"

  • "0ae80812-f8d6-4fc4-90ea-b2df4ecc3861,24c9cc46-2fcd-4afb-bcc6-d6c42315f32e"

  • ["0ae80812-f8d6-4fc4-90ea-b2df4ecc3861", "24c9cc46-2fcd-4afb-bcc6-d6c42315f32e"]

user_idint or str; keyword-only; optional

TIDAL ID of the user. If not specified, the current user’s TIDAL ID is used. Only applicable when version is 1.

Example: "US".

folder_uuidstr; keyword-only; optional

UUID of the TIDAL playlist folder to add playlists to. Use "root" or leave blank to target the top-level “Playlists” folder. Only applicable when version is 2.

api_versionint; keyword-only; default: 2

Private TIDAL API version.

Valid values:

  • 1 – Legacy POST /v1/users/{user_id}/favorites/playlists endpoint.

  • 2 – Current PUT /v2/my-collection/playlists/folders/add-favorites endpoint.

follow_user(user_id: int | str, /) None[source]

Follow a TIDAL user.

Caution

This endpoint appears to have been deprecated by TIDAL.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
user_idint or str; positional-only

TIDAL ID of the user.

get_followed_playlists(user_id: int | str | None = None, /, country_code: str | None = None, *, limit: int | None = None, offset: int | None = None, sort_by: str | None = None, descending: bool | None = None) dict[str, Any][source]

Get TIDAL catalog information for editorial playlists in a user’s collection.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
user_idint or str; positional-only; optional

TIDAL ID of the user. If not specified, the current user’s TIDAL ID is used.

country_codestr; optional

ISO 3166-1 alpha-2 country code. If not provided, the country associated with the current user account or IP address is used.

Example: "US".

limitint; keyword-only; optional

Maximum number of playlists to return.

Valid range: 1 to 100.

API default: 10.

offsetint; keyword-only; optional

Index of the first playlist to return. Use with limit to get the next batch of playlists.

Minimum value: 0.

API default: 0.

sort_bystr; keyword-only; optional

Field to sort the playlists by.

Valid values:

  • "DATE" - Date added.

  • "NAME" - Playlist name.

API default: "DATE".

descendingbool; keyword-only; optional

Whether to sort in descending order.

API default: False.

Returns:
playlistsdict[str, Any]

Page of TIDAL metadata for the editorial playlists in the user’s collection.

get_me() dict[str, Any][source]

Get TIDAL profile information for the current user.

User authentication

User authentication

Access and manage the user’s collection.

Returns:
profiledict[str, Any]

Current user’s profile information.

get_my_blocked_users(*, limit: int | None = None, offset: int | None = None) dict[str, Any][source]

Get TIDAL profile information for the users blocked by the current user.

Caution

This endpoint appears to have been deprecated by TIDAL.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
limitint; keyword-only; optional

Maximum number of users to return.

Valid range: 1 to 100.

API default: 10.

offsetint; keyword-only; optional

Index of the first user to return. Use with limit to get the next batch of users.

Minimum value: 0.

API default: 0.

Returns:
usersdict[str, Any]

Page of TIDAL profile information for the users blocked by the current user.

Sample response: {'items': [], 'limit': 0, 'offset': 0, 'totalNumberOfItems': 0}.

get_my_folder(folder_uuid: str | None = None, /, *, limit: int = 50, cursor: str | None = None, playlist_types: str | Collection[str] | None = None, sort_by: str | None = None, descending: bool | None = None) dict[str, Any][source]

Get TIDAL catalog information for playlists in a playlist folder in the current user’s collection.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
folder_uuidstr; positional-only; optional

UUID of TIDAL playlist folder to retrieve playlists from. Use "root" or leave blank to target the top-level “Playlists” folder.

limitint; keyword-only; default: 50

Maximum number of playlists to return.

Valid range: 1 to 50.

cursorstr; keyword-only; optional

Cursor for fetching the next page of results.

playlist_typesstr or Collection[str]; keyword-only; optional

Playlist types to return. If not specified, all playlists are returned.

Valid values:

  • "FOLDER" – Playlist folders.

  • "PLAYLIST" – All playlists.

  • "FAVORITE_PLAYLIST" – Favorited playlists.

  • "USER_PLAYLIST" – User-created playlists.

Examples: "USER_PLAYLIST", "FOLDER,USER_PLAYLIST", ["FOLDER", "USER_PLAYLIST"].

sort_bystr; keyword-only; optional

Field to sort the playlists by.

Valid values:

  • "DATE" - Date added.

  • "NAME" - Playlist name.

API default: "DATE".

descendingbool; keyword-only; optional

Whether to sort in descending order.

API default: False.

Returns:
playlistsdict[str, Any]

Page of TIDAL metadata for the playlists in the playlist folder in the current user’s collection.

get_my_folders_and_playlists(*, limit: int = 50, cursor: str | None = None, playlist_types: str | Collection[str] | None = None, sort_by: str | None = None, descending: bool | None = None) dict[str, Any][source]

Get TIDAL catalog information for all playlist folders and playlists in the current user’s collection.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
limitint; keyword-only; default: 50

Maximum number of playlists to return.

Valid range: 1 to 50.

cursorstr; keyword-only; optional

Cursor for fetching the next page of results.

playlist_typesstr or Collection[str]; keyword-only; optional

Playlist types to return. If not specified, all playlists are returned.

Valid values:

  • "FOLDER" – Playlist folders.

  • "PLAYLIST" – All playlists.

  • "FAVORITE_PLAYLIST" – Favorited playlists.

  • "USER_PLAYLIST" – User-created playlists.

Examples: "USER_PLAYLIST", "FOLDER,USER_PLAYLIST", ["FOLDER", "USER_PLAYLIST"].

sort_bystr; keyword-only; optional

Field to sort the playlists by.

Valid values:

  • "DATE" - Date added.

  • "NAME" - Playlist name.

API default: "DATE".

descendingbool; keyword-only; optional

Whether to sort in descending order.

API default: False.

Returns:
playlistsdict[str, Any]

Page of TIDAL metadata for the playlist folders and playlists in the current user’s collection.

get_my_followed_mix_ids(*, limit: int = 50, cursor: str | None = None) dict[str, Any][source]

Get TIDAL IDs of the mixes in the current user’s collection.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
limitint; keyword-only; default: 50

Maximum number of mix IDs to return.

Valid range: 1 to 50.

cursorstr; keyword-only; optional

Cursor for fetching the next page of results.

Returns:
mix_idsdict[str, Any]

Page of TIDAL IDs of the mixes in the user’s collection.

Sample response: {"content": <list[str]>, "cursor": <str>}

get_my_followed_mixes(*, limit: int = 50, cursor: str | None = None, sort_by: str | None = None, descending: bool | None = None) dict[str, Any][source]

Get TIDAL catalog information for mixes in the current user’s collection.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
limitint; keyword-only; default: 50

Maximum number of mixes to return.

Valid range: 1 to 50.

cursorstr; keyword-only; optional

Cursor for fetching the next page of results.

sort_bystr; keyword-only; optional

Field to sort the mixes by.

Valid values:

  • "DATE" - Date added.

  • "NAME" - Mix name.

API default: "DATE".

descendingbool; keyword-only; optional

Whether to sort in descending order.

API default: False.

Returns:
mixesdict[str, Any]

Page of TIDAL metadata for the mixes in the current user’s collection.

get_my_playlists(*, limit: int = 50, cursor: str | None = None, playlist_types: str | Collection[str] | None = None, sort_by: str | None = None, descending: bool | None = None) dict[str, Any][source]

Get TIDAL catalog information for playlists in the current user’s collection.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
limitint; keyword-only; default: 50

Maximum number of playlists to return.

Valid range: 1 to 50.

cursorstr; keyword-only; optional

Cursor for fetching the next page of results.

playlist_typesstr or Collection[str]; keyword-only; optional

Playlist types to return. If not specified, all playlists are returned.

Valid values:

  • "FOLDER" – Playlist folders.

  • "PLAYLIST" – All playlists.

  • "FAVORITE_PLAYLIST" – Favorited playlists.

  • "USER_PLAYLIST" – User-created playlists.

Examples: "USER_PLAYLIST", "FOLDER,USER_PLAYLIST", ["FOLDER", "USER_PLAYLIST"].

sort_bystr; keyword-only; optional

Field to sort the playlists by.

Valid values:

  • "DATE" - Date added.

  • "NAME" - Playlist name.

API default: "DATE".

descendingbool; keyword-only; optional

Whether to sort in descending order.

API default: False.

Returns:
playlistsdict[str, Any]

Page of TIDAL metadata for the playlists in the current user’s collection.

get_session() dict[str, Any][source]

Get information about the current private TIDAL API session.

User authentication

User authentication

Access client, session, and user account information.

Returns:
sessiondict[str, Any]

Session information.

get_user_blocked_artists(user_id: int | str | None = None, /, *, limit: int | None = None, offset: int | None = None) dict[str, Any][source]

Get TIDAL catalog information for artists blocked by a user.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
user_idint or str; positional-only; optional

TIDAL ID of the user. If not specified, the current user’s TIDAL ID is used.

limitint; keyword-only; optional

Maximum number of artists to return.

Valid range: 1 to 100.

API default: 10.

offsetint; keyword-only; optional

Index of the first artist to return. Use with limit to get the next batch of artists.

Minimum value: 0.

API default: 0.

Returns:
artistsdict[str, Any]

Page of TIDAL metadata for artists blocked by the user.

get_user_blocked_tracks(user_id: int | str | None = None, /, *, limit: int | None = None, offset: int | None = None) dict[str, Any][source]

Get TIDAL catalog information for tracks blocked by a user.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
user_idint or str; positional-only; optional

TIDAL ID of the user. If not specified, the current user’s TIDAL ID is used.

limitint; keyword-only; optional

Maximum number of tracks to return.

Valid range: 1 to 100.

API default: 10.

offsetint; keyword-only; optional

Index of the first track to return. Use with limit to get the next batch of tracks.

Minimum value: 0.

API default: 0.

Returns:
tracksdict[str, Any]

Page of TIDAL metadata for the user’s blocked tracks.

get_user_blocked_videos(user_id: int | str | None = None, /, *, limit: int | None = None, offset: int | None = None) dict[str, Any][source]

Get TIDAL catalog information for videos blocked by a user.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
user_idint or str; positional-only; optional

TIDAL ID of the user. If not specified, the current user’s TIDAL ID is used.

limitint; keyword-only; optional

Maximum number of videos to return.

Valid range: 1 to 100.

API default: 10.

offsetint; keyword-only; optional

Index of the first video to return. Use with limit to get the next batch of videos.

Minimum value: 0.

API default: 0.

Returns:
videosdict[str, Any]

Page of TIDAL metadata for the videos blocked by the user.

get_user_clients(user_id: int | str | None = None, /, country_code: str | None = None) dict[str, Any][source]

Get information about a user’s TIDAL clients.

User authentication

User authentication

Access client, session, and user account information.

Parameters:
user_idint or str; positional-only; optional

TIDAL ID of the user. If not specified, the current user’s TIDAL ID is used.

country_codestr; optional

ISO 3166-1 alpha-2 country code. If not provided, the country associated with the current user account or IP address is used.

Example: "US".

Returns:
clientsdict[str, Any]

Information about the user’s TIDAL clients.

get_user_created_playlists(user_id: int | str | None = None, /, country_code: str | None = None, *, limit: int | None = None, offset: int | None = None, sort_by: str | None = None, descending: bool | None = None) dict[str, Any][source]

Get TIDAL catalog information for user-created playlists in a user’s collection.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
user_idint or str; positional-only; optional

TIDAL ID of the user. If not specified, the current user’s TIDAL ID is used.

country_codestr; optional

ISO 3166-1 alpha-2 country code. If not provided, the country associated with the current user account or IP address is used.

Example: "US".

limitint; keyword-only; optional

Maximum number of playlists to return.

Valid range: 1 to 100.

API default: 10.

offsetint; keyword-only; optional

Index of the first playlist to return. Use with limit to get the next batch of playlists.

Minimum value: 0.

API default: 0.

sort_bystr; keyword-only; optional

Field to sort the playlists by.

Valid values:

  • "DATE" - Date added.

  • "NAME" - Playlist name.

API default: "DATE".

descendingbool; keyword-only; optional

Whether to sort in descending order.

API default: False.

Returns:
playlistsdict[str, Any]

Page of TIDAL metadata for the user-created playlists in the user’s collection.

get_user_followed_artists(user_id: int | str | None = None, /, country_code: str | None = None, *, limit: int | None = None, offset: int | None = None, sort_by: str | None = None, descending: bool | None = None) dict[str, Any][source]

Get TIDAL catalog information for artists in a user’s collection.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
user_idint or str; positional-only; optional

TIDAL ID of the user. If not specified, the current user’s TIDAL ID is used.

country_codestr; optional

ISO 3166-1 alpha-2 country code. If not provided, the country associated with the current user account or IP address is used.

Example: "US".

limitint; keyword-only; optional

Maximum number of artists to return.

Valid range: 1 to 100.

API default: 10.

offsetint; keyword-only; optional

Index of the first artist to return. Use with limit to get the next batch of artists.

Minimum value: 0.

API default: 0.

sort_bystr; keyword-only; optional

Field to sort the albums by.

Valid values:

  • "DATE" - Date added.

  • "NAME" - Artist name.

API default: "DATE".

descendingbool; keyword-only; optional

Whether to sort in descending order.

API default: False.

Returns:
artistsdict[str, Any]

Page of TIDAL metadata for the artists in the user’s collection.

get_user_followers(user_id: int | str | None = None, /, *, limit: int | None = None, cursor: str | None = None) dict[str, Any][source]

Get TIDAL profile information for users following the specified user.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
user_idint or str; positional-only; optional

TIDAL ID of the user. If not specified, the current user’s TIDAL ID is used.

limitint; keyword-only; optional

Maximum number of users to return.

Valid range: 1 to 10_000.

cursorstr; keyword-only; optional

Cursor for fetching the next page of results.

Returns:
followersdict[str, Any]

TIDAL profile information for the user’s followers.

Sample response: {'cursor': None, 'items': {}}.

get_user_followings(user_id: int | str | None = None, /, *, limit: int | None = None, cursor: str | None = None) dict[str, Any][source]

Get TIDAL catalog information for the users followed by a specified user.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
user_idint or str; positional-only; optional

TIDAL ID of the user. If not specified, the current user’s TIDAL ID is used.

limitint; keyword-only; optional

Maximum number of users to return.

Valid range: 1 to 10_000.

cursorstr; keyword-only; optional

Cursor for fetching the next page of results.

Returns:
followingdict[str, Any]

TIDAL profile information for the followed users.

Sample response: {'cursor': None, 'items': {}}.

get_user_playlists(user_id: int | str | None = None, /, country_code: str | None = None, *, limit: int | None = None, offset: int | None = None, sort_by: str | None = None, descending: bool | None = None) dict[str, Any][source]

Get TIDAL catalog information for editorial and user-created playlists in a user’s collection.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
user_idint or str; positional-only; optional

TIDAL ID of the user. If not specified, the current user’s TIDAL ID is used.

country_codestr; optional

ISO 3166-1 alpha-2 country code. If not provided, the country associated with the current user account or IP address is used.

Example: "US".

limitint; keyword-only; optional

Maximum number of playlists to return.

Valid range: 1 to 100.

API default: 10.

offsetint; keyword-only; optional

Index of the first playlist to return. Use with limit to get the next batch of playlists.

Minimum value: 0.

API default: 0.

sort_bystr; keyword-only; optional

Field to sort the playlists by.

Valid values:

  • "DATE" - Date added.

  • "NAME" - Playlist name.

API default: "DATE".

descendingbool; keyword-only; optional

Whether to sort in descending order.

API default: False.

Returns:
playlistsdict[str, Any]

Page of TIDAL metadata for the editorial and user-created playlists in the user’s collection.

get_user_public_playlists(user_id: int | str | None = None, /, *, limit: int | None = None, cursor: str | None = None) dict[str, Any][source]

Get TIDAL catalog information for public playlists in a user’s collection.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
user_idint or str; positional-only; optional

TIDAL ID of the user. If not specified, the current user’s TIDAL ID is used.

limitint; keyword-only; optional

Maximum number of playlists to return.

Valid range: 1 to 10_000.

cursorstr; keyword-only; optional

Cursor for fetching the next page of results.

Returns:
playlistsdict[str, Any]

Page of TIDAL metadata for the public playlists in the user’s collection.

get_user_saved_albums(user_id: int | str | None = None, /, country_code: str | None = None, *, limit: int | None = None, offset: int | None = None, sort_by: str | None = None, descending: bool | None = None) dict[str, Any][source]

Get TIDAL catalog information for albums in a user’s collection.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
user_idint or str; positional-only; optional

TIDAL ID of the user. If not specified, the current user’s TIDAL ID is used.

country_codestr; optional

ISO 3166-1 alpha-2 country code. If not provided, the country associated with the current user account or IP address is used.

Example: "US".

limitint; keyword-only; optional

Maximum number of albums to return.

Valid range: 1 to 100.

API default: 10.

offsetint; keyword-only; optional

Index of the first album to return. Use with limit to get the next batch of albums.

Minimum value: 0.

API default: 0.

sort_bystr; keyword-only; optional

Field to sort the albums by.

Valid values:

  • "DATE" - Date added.

  • "NAME" - Album name.

API default: "DATE".

descendingbool; keyword-only; optional

Whether to sort in descending order.

API default: False.

Returns:
albumsdict[str, Any]

Page of TIDAL metadata for the albums in the user’s collection.

get_user_saved_item_ids(user_id: int | str | None = None, /) dict[str, list[str]][source]

Get TIDAL IDs or UUIDs of the albums, artists, playlists, tracks, and videos in a user’s collection.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
user_idint or str; positional-only; optional

TIDAL ID of the user. If not specified, the current user’s TIDAL ID is used.

Returns:
idsdict

IDs or UUIDs of the items in the current user’s collection.

get_user_saved_tracks(user_id: int | str | None = None, /, country_code: str | None = None, *, limit: int | None = None, offset: int | None = None, sort_by: str | None = None, descending: bool | None = None) dict[str, Any][source]

Get TIDAL catalog information for tracks in a user’s collection.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
user_idint or str; positional-only; optional

TIDAL ID of the user. If not specified, the current user’s TIDAL ID is used.

country_codestr; optional

ISO 3166-1 alpha-2 country code. If not provided, the country associated with the current user account or IP address is used.

Example: "US".

limitint; keyword-only; optional

Maximum number of tracks to return.

Valid range: 1 to 100.

API default: 10.

offsetint; keyword-only; optional

Index of the first track to return. Use with limit to get the next batch of tracks.

Minimum value: 0.

API default: 0.

sort_bystr; keyword-only; optional

Field to sort the tracks by.

Valid values:

  • "DATE" - Date added.

  • "NAME" - Track name.

API default: "DATE".

descendingbool; keyword-only; optional

Whether to sort in descending order.

API default: False.

Returns:
tracksdict[str, Any]

Page of TIDAL metadata for the tracks in the user’s collection.

get_user_saved_videos(user_id: int | str | None = None, /, country_code: str | None = None, *, limit: int | None = None, offset: int | None = None, sort_by: str | None = None, descending: bool | None = None) dict[str, Any][source]

Get TIDAL catalog information for videos in a user’s collection.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
user_idint or str; positional-only; optional

TIDAL ID of the user. If not specified, the current user’s TIDAL ID is used.

country_codestr; optional

ISO 3166-1 alpha-2 country code. If not provided, the country associated with the current user account or IP address is used.

Example: "US".

limitint; keyword-only; optional

Maximum number of videos to return.

Valid range: 1 to 100.

API default: 10.

offsetint; keyword-only; optional

Index of the first video to return. Use with limit to get the next batch of videos.

Minimum value: 0.

API default: 0.

sort_bystr; keyword-only; optional

Field to sort the videos by.

Valid values:

  • "DATE" - Date added.

  • "NAME" - Video name.

API default: "DATE".

descendingbool; keyword-only; optional

Whether to sort in descending order.

API default: False.

Returns:
videosdict[str, Any]

Page of TIDAL metadata for the videos in the user’s collection.

get_user_subscription(user_id: int | str | None = None, /, country_code: str | None = None) dict[str, Any][source]

Get information about a user’s TIDAL subscription status.

User authentication

User authentication

Access client, session, and user account information.

Parameters:
user_idint or str; positional-only; optional

TIDAL ID of the user. If not specified, the current user’s TIDAL ID is used.

country_codestr; optional

ISO 3166-1 alpha-2 country code. If not provided, the country associated with the current user account or IP address is used.

Example: "US".

Returns:
subscriptiondict[str, Any]

Information about the user’s TIDAL subscription status.

remove_saved_albums(album_ids: int | str | Collection[int | str], /, user_id: int | str | None = None) None[source]

Remove albums from a user’s collection.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
album_idsint, str, or Collection[int | str]; positional-only

TIDAL IDs of the albums.

Examples: 46369321, "251380836", "46369321,251380836", [46369321, "251380836"].

user_idint or str; optional

TIDAL ID of the user. If not specified, the current user’s TIDAL ID is used.

remove_saved_tracks(track_ids: int | str | Collection[int | str], /, user_id: int | str | None = None) None[source]

Remove tracks from a user’s collection.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
track_idsint, str, or Collection[int | str]; positional-only

TIDAL IDs of the tracks.

Examples: 46369325, "251380837", "46369325,251380837", [46369325, "251380837"].

user_idint or str; optional

TIDAL ID of the user. If not specified, the current user’s TIDAL ID is used.

remove_saved_videos(video_ids: int | str | Collection[int | str], /, user_id: int | str | None = None) None[source]

Remove videos from a user’s collection.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
video_idsint, str, or Collection[int | str]; positional-only

TIDAL IDs of the videos.

Examples: 29597422, "59727844", "29597422,59727844", [29597422, "59727844"].

user_idint or str; optional

TIDAL ID of the user. If not specified, the current user’s TIDAL ID is used.

save_albums(album_ids: int | str | Collection[int | str], /, user_id: int | str | None = None, country_code: str | None = None, *, on_missing: str | None = None) None[source]

Add albums to a user’s collection.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
album_idsint, str, or Collection[int | str]; positional-only

TIDAL IDs of the albums.

Examples: 46369321, "251380836", "46369321,251380836", [46369321, "251380836"].

user_idint or str; optional

TIDAL ID of the user. If not specified, the current user’s TIDAL ID is used.

country_codestr; optional

ISO 3166-1 alpha-2 country code. If not provided, the country associated with the current user account or IP address is used.

Example: "US".

on_missingstr; keyword-only; optional

Behavior when the albums to be favorited cannot be found in the TIDAL catalog.

API default: "FAIL".

save_tracks(track_ids: int | str | Collection[int | str], /, user_id: int | str | None = None, country_code: str | None = None, *, on_missing: str | None = None) None[source]

Add tracks to a user’s collection.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
track_idsint, str, or Collection[int | str]; positional-only

TIDAL IDs of the tracks.

Examples: 46369325, "251380837", "46369325,251380837", [46369325, "251380837"].

user_idint or str; optional

TIDAL ID of the user. If not specified, the current user’s TIDAL ID is used.

country_codestr; optional

ISO 3166-1 alpha-2 country code. If not provided, the country associated with the current user account or IP address is used.

Example: "US".

on_missingstr; keyword-only; optional

Behavior when the tracks to be favorited cannot be found in the TIDAL catalog.

API default: "FAIL".

save_videos(video_ids: int | str | Collection[int | str], /, user_id: int | str | None = None, country_code: str | None = None, *, on_missing: str | None = None) None[source]

Add videos to a user’s collection.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
video_idsint, str, or Collection[int | str]; positional-only

TIDAL IDs of the videos.

Examples: 29597422, "59727844", "29597422,59727844", [29597422, "59727844"].

user_idint or str; optional

TIDAL ID of the user. If not specified, the current user’s TIDAL ID is used.

country_codestr; optional

ISO 3166-1 alpha-2 country code. If not provided, the country associated with the current user account or IP address is used.

Example: "US".

on_missingstr; keyword-only; optional

Behavior when the videos to be favorited cannot be found in the TIDAL catalog.

API default: "FAIL".

unblock_artist(artist_id: int | str, /, user_id: int | str | None = None) None[source]

Unblock an artist for a user.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
artist_idint or str; positional-only

TIDAL ID of the artist.

Examples: 1566, "4676988".

user_idint or str; optional

TIDAL ID of the user. If not specified, the current user’s TIDAL ID is used.

unblock_track(track_id: int | str, /, user_id: int | str | None = None) None[source]

Unblock a track for a user.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
track_idint or str; positional-only

TIDAL ID of the track.

Examples: 46369325, "251380837".

user_idint or str; optional

TIDAL ID of the user. If not specified, the current user’s TIDAL ID is used.

unblock_user(user_id: int | str, /) None[source]

Unblock a TIDAL user.

Caution

This endpoint appears to have been deprecated by TIDAL.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
user_idint or str; positional-only

TIDAL ID of the user.

unblock_video(video_id: int | str, /, user_id: int | str | None = None) None[source]

Unblock a video for a user.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
video_idint or str; positional-only

TIDAL ID of the video.

Examples: 29597422, "59727844".

user_idint or str; optional

TIDAL ID of the user. If not specified, the current user’s TIDAL ID is used.

unfollow_artists(artist_ids: int | str | Collection[int | str], /, user_id: int | str | None = None) None[source]

Remove artists from a user’s collection.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
artist_idsint, str, or Collection[int | str]; positional-only

TIDAL IDs of the artists.

Examples: 1566, "4676988", "1566,4676988", [1566, "4676988"].

user_idint or str; optional

TIDAL ID of the user. If not specified, the current user’s TIDAL ID is used.

unfollow_mixes(mix_ids: str | Collection[str], /) None[source]

Remove mixes from the current user’s collection.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
mix_idsstr or Collection[str]; positional-only

TIDAL IDs of the mixes.

Examples:

  • "000ec0b01da1ddd752ec5dee553d48"

  • "000ec0b01da1ddd752ec5dee553d48,000dd748ceabd5508947c6a5d3880a"

  • ["000ec0b01da1ddd752ec5dee553d48", "000dd748ceabd5508947c6a5d3880a"]

unfollow_playlists(playlist_uuids: str | Collection[str], /, *, user_id: int | str | None = None, api_version: int = 2) None[source]

Remove playlists from a user’s collection.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
playlist_uuidsstr or Collection[str]; positional-only; optional

Playlist UUIDs. TIDAL resource names may be provided only when version=2.

Examples:

  • "trn:playlist:0ae80812-f8d6-4fc4-90ea-b2df4ecc3861"

  • "trn:playlist:0ae80812-f8d6-4fc4-90ea-b2df4ecc3861,24c9cc46-2fcd-4afb-bcc6-d6c42315f32e"

  • :code:[“trn:playlist:0ae80812-f8d6-4fc4-90ea-b2df4ecc3861”, “24c9cc46-2fcd-4afb-bcc6-d6c42315f32e”]

user_idint or str; keyword-only; optional

TIDAL ID of the user. If not specified, the current user’s TIDAL ID is used. Only applicable when version is 1.

api_versionint; keyword-only; default: 2

Private TIDAL API version.

Valid values:

  • 1 – Legacy POST /v1/users/{user_id}/favorites/playlists endpoint.

  • 2 – Current PUT /v2/my-collection/playlists/folders/add-favorites endpoint.

unfollow_user(user_id: int | str, /) None[source]

Unfollow a TIDAL user.

Caution

This endpoint appears to have been deprecated by TIDAL.

User authentication

User authentication

Access and manage the user’s collection.

Parameters:
user_idint or str; positional-only

TIDAL ID of the user.